<?php
/**
 * @version 1.5 beta 5 $Id: icerik_items.php 85 2009-10-10 13:48:04Z vistamedia $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl;
?>

<script type="text/javascript">
	function tableOrdering( order, dir, task )
	{
		var form = document.getElementById("adminForm");

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.getElementById("adminForm").submit( task );
	}
</script>

<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search')) || ($this->params->get('show_alpha', 1))) : ?>
<form action="<?php echo $this->action; ?>" method="post" id="adminForm">
<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search'))) : ?>
<div id="fc_filter" class="floattext">
	<?php if ($this->params->get('use_search')) : ?>
	<div class="fc_fleft">
		<input type="text" name="filter" id="filter" value="<?php echo $this->lists['filter'];?>" class="text_area" onchange="document.getElementById('adminForm').submit();" />
		<button onclick="document.getElementById('adminForm').submit();"><?php echo JText::_( 'FLEXI_GO' ); ?></button>
		<button onclick="document.getElementById('filter').value='';document.getElementById('adminForm').submit();"><?php echo JText::_( 'FLEXI_RESET' ); ?></button>
	</div>
	<?php endif; ?>
	<?php if ($this->filters) : ?>
	<div class="fc_fright">
	<?php
	foreach ($this->filters as $filt) :
		echo '<span class="filter">';
		echo $filt->html;
		echo '</span>';
	endforeach;
	?>
	</div>
	<?php endif; ?>
</div>
<?php endif; ?>
<?php
if ($this->params->get('show_alpha', 1)) :
	echo $this->loadTemplate('alpha');
endif;
?>
<input type="hidden" name="option" value="com_flexicontent" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="category" />
<input type="hidden" name="letter" value="" id="alpha_index" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
</form>
<?php endif; ?>

<?php
$items	= $this->items;
$count 	= count($items);
if ($count) :
?>
<div class="sayfa">
<?php
$leadnum		= $this->params->get('lead_num', 0);
$leadnum		= ($leadnum >= $count) ? $count : $leadnum;
if ($count > $leadnum || $this->limitstart != 0) :
?>
	<ul class="liste">
		<?php for ($i=($this->limitstart == 0 ? $leadnum : 0 ); $i<$count; $i++) : ?>
		<li class="<?php echo (($this->limitstart == 0) ? ($i+$leadnum)%2 : $i%2) ? 'even' : 'odd'; ?>">
<div class="ana">

  <!-- BOF topblock block -->

	<?php if (isset($items[$i]->positions['topblock'])) : ?>

	<div class="topblock <?php echo $this->params->get('topblock_cols', 'two'); ?>cols">
		<ul>
			<?php foreach ($items[$i]->positions['topblock'] as $field) : ?>
			<li>
				<div>
					<?php if ($field->label) : ?>
					<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
					<?php endif; ?>
					<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
				</div>
			</li>
			<?php endforeach; ?>
		</ul>
	</div>
	<?php endif; ?>
<!-- EOF topblock -->
<!-- BOF topblock block -->
				<?php if (isset($items[$i]->positions['topblock_nolabel'])) : ?>
				<div class="topblock_nolabel">
					<?php foreach ($items[$i]->positions['topblock_nolabel'] as $field) : ?>
					<span class="element">
						<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
					</span>
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
<!-- EOF topblock_nolabel -->







<!-- BOF header -->

  <div class="header" style="border-bottom: 5px solid #<?php echo $this->params->get('border_color') ?>">
    			<?php if ($this->params->get('show_title', 1)) : ?>
    			
    				<?php if ($this->params->get('link_titles', 0)) : ?>
    				<a style="color: #<?php echo $this->params->get('head_color') ?>" onmouseover="this.style.color='#<?php echo $this->params->get('border_color') ?>'" onmouseout="this.style.color='#<?php echo $this->params->get('head_color') ?>'" href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($items[$i]->slug, $this->category->slug)); ?>"><?php echo $this->escape($items[$i]->title); ?></a>
    				<?php
    				else :
    				echo $this->escape($items[$i]->title);
    				endif;
    				?>
    			
    			<?php endif; ?>
  </div>
  
  <!-- EOF header -->
  
  
  
  <!-- BOF description -->
<div class="description">


<?php 
    			if ($this->params->get('intro_use_image', 1)) :
    				if ($this->params->get('intro_image')) :
						if (isset($items[$i]->fields[$this->params->get('intro_image')]->value[0])) :
							$dir{$i}	= $items[$i]->fields[$this->params->get('intro_image')]->parameters->get('dir');
							$value{$i} 	= unserialize($items[$i]->fields[$this->params->get('intro_image')]->value[0]);
							$image{$i}	= $value{$i}['originalname'];
							$scr{$i}	= $dir{$i}.($this->params->get('intro_image_size') ? '/'.$this->params->get('intro_image_size').'_' : '/l_').$image{$i};
						else :
							$scr{$i}	= '';
						endif;
						$src = $scr{$i};
    				else :
    					$src = flexicontent_html::extractimagesrc($items[$i]);
    				endif;
    				$w		= '&w=' . $this->params->get('intro_width', 100);
   					$h		= '&h=' . $this->params->get('intro_height', 100);
    				$aoe	= '&aoe=1';
    				$q		= '&q=95';
    				$zc		= $this->params->get('intro_method') ? '&zc=' . $this->params->get('intro_method') : '';
    				$conf	= $w . $h . $aoe . $q . $zc;
    				
    				if (!$this->params->get('intro_image_size')) :
    					$thumb = JURI::base().'components/com_flexicontent/librairies/phpthumb/phpThumb.php?src='.JURI::base(true).'/'.$src.$conf;
    				else :
    					$thumb = $src;
    				endif;
    				
    				if ($src) : // case source
    			?>
				
    				<?php if ($this->params->get('intro_link_image', 1)) : ?>
    				<a href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($items[$i]->slug, $this->category->slug)); ?>" class="hasTip" title="<?php echo JText::_( 'FLEXI_READ_MORE_ABOUT' ) . '::' . $this->escape($items[$i]->title); ?>">
						<img src="<?php echo $thumb; ?>" alt="<?php echo $this->escape($items[$i]->title); ?>" style="float: <?php echo $this->params->get('intro_position') ? ' right' : ' left'; ?>;" width="100"/>
					</a>
					<?php else : ?>
					<img src="<?php echo $thumb; ?>" alt="<?php echo $this->escape($items[$i]->title); ?>" />
					<?php endif; ?>
					
				
    			<?php
	    			endif; // case source
    			endif; 
    			?>			
								
				<?php
				if ($this->params->get('intro_strip_html', 1)) :
				echo flexicontent_html::striptagsandcut( $items[$i]->introtext, $this->params->get('intro_cut_text', 200) );
				else :
				echo $items[$i]->introtext;
				endif;
				?>
				
    			<?php if ($this->params->get('show_readmore', 1)) : ?>
    			<span class="readmore">
    				<a href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($items[$i]->slug, $this->category->slug)); ?>" class="readon">
    				<?php
    				if ($items[$i]->params->get('readmore')) :
    					echo ' ' . $items[$i]->params->get('readmore');
    				else :
    					echo ' ' . JText::sprintf('FLEXI_READ_MORE', $items[$i]->title);
    				endif;
    				?>
    				</a>
    			</span>
    			<?php endif; ?>
                <div class="clear"></div>
</div>
<!-- EOF description -->




  <!-- BOF bottomblock block -->

	<?php if (isset($items[$i]->positions['bottomblock'])) : ?>

	<div class="bottomblock <?php echo $this->params->get('bottomblock', 'two'); ?>cols">
		<ul>
			<?php foreach ($items[$i]->positions['bottomblock'] as $field) : ?>
			<li>
				<div>
					<?php if ($field->label) : ?>
					<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
					<?php endif; ?>
					<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
				</div>
			</li>
			<?php endforeach; ?>
		</ul>
	</div>
	<?php endif; ?>
<!-- EOF bottomblock -->
<!-- BOF bottomblock_nolabel -->
				
				<div class="bottomblock_nolabel">
                <?php if (isset($items[$i]->positions['bottomblock_nolabel'])) : ?>
					<?php foreach ($items[$i]->positions['bottomblock_nolabel'] as $field) : ?>
					<span class="element">
						<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
					</span>
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
<!-- EOF bottomblock_nolabel -->

</div>
		</li>
		<?php endfor; ?>
	</ul>
	<?php endif; ?>
</div>    
<?php else : ?>
<div class="noitems"><?php echo JText::_( 'FLEXI_NO_ITEMS_CAT' ); ?></div>
<?php endif; ?>